package org.etsi.osl.tmf.gam673.repo;

import org.etsi.osl.tmf.gam673.model.GeographicAddress;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface GeographicAddressManagementRepository extends CrudRepository<GeographicAddress, Long>, PagingAndSortingRepository<GeographicAddress, Long> {

    Optional<GeographicAddress> findByUuid(String id);

}
