package org.etsi.osl.tmf.gam673.mapper;

import org.etsi.osl.tmf.gam673.model.GeographicAddress;
import org.etsi.osl.tmf.gam673.model.GeographicSubAddress;

public class MapperUtils {

    public static GeographicAddress geographicAddressMap(GeographicAddress newGeographicAddress, GeographicAddress existingGeographicAddress){
        if(newGeographicAddress.getCity()!=null) existingGeographicAddress.setCity(newGeographicAddress.getCity());
        if(newGeographicAddress.getCountry()!=null) existingGeographicAddress.setCountry(newGeographicAddress.getCountry());
        if(newGeographicAddress.getLocality()!=null) existingGeographicAddress.setLocality(newGeographicAddress.getLocality());
        if(newGeographicAddress.getPostcode()!=null) existingGeographicAddress.setPostcode(newGeographicAddress.getPostcode());
        if(newGeographicAddress.getStateOrProvince()!=null) existingGeographicAddress.setStateOrProvince(newGeographicAddress.getStateOrProvince());
        if(newGeographicAddress.getStreetName()!=null) existingGeographicAddress.setStreetName(newGeographicAddress.getStreetName());
        if(newGeographicAddress.getStreetNr()!=null) existingGeographicAddress.setStreetNr(newGeographicAddress.getStreetNr());
        if(newGeographicAddress.getStreetNrLast()!=null) existingGeographicAddress.setStreetNrLast(newGeographicAddress.getStreetNrLast());
        if(newGeographicAddress.getStreetNrLastSuffix()!=null) existingGeographicAddress.setStreetNrLastSuffix(newGeographicAddress.getStreetNrLastSuffix());
        if(newGeographicAddress.getStreetSuffix()!=null) existingGeographicAddress.setStreetSuffix(newGeographicAddress.getStreetSuffix());
        if(newGeographicAddress.getStreetType()!=null) existingGeographicAddress.setStreetType(newGeographicAddress.getStreetType());
        if(newGeographicAddress.getHref()!=null) existingGeographicAddress.setHref(newGeographicAddress.getHref());
        if(newGeographicAddress.getName()!=null) existingGeographicAddress.setName(newGeographicAddress.getName());

        if(newGeographicAddress.getGeographicLocation()!=null){
            if(newGeographicAddress.getGeographicLocation().getReferredType()!=null) existingGeographicAddress.getGeographicLocation().setReferredType(newGeographicAddress.getGeographicLocation().getReferredType());
            if(newGeographicAddress.getGeographicLocation().getRole()!=null) existingGeographicAddress.getGeographicLocation().setRole(newGeographicAddress.getGeographicLocation().getRole());
        }


        if(newGeographicAddress.getGeographicSubAddresses()!=null){
            for(GeographicSubAddress n : newGeographicAddress.getGeographicSubAddresses()){
                if(n.getUuid()==null){
                    existingGeographicAddress.addGeographicSubAddress(n);
                }
            }
        }
        return existingGeographicAddress;
    }

}
