package org.etsi.osl.tmf.gam673.repo;

import org.etsi.osl.tmf.gam673.model.GeographicAddressValidation;
import org.springframework.data.repository.CrudRepository;
import org.springframework.data.repository.PagingAndSortingRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface GeographicAddressValidationManagementRepository extends CrudRepository<GeographicAddressValidation, Long>, PagingAndSortingRepository<GeographicAddressValidation, Long> {

    Optional<GeographicAddressValidation> findByUuid(String id);

}
